package po

import "plugins/zltx_card/internal/vo"

type OrderReq struct {
	Number     uint32 `validate:"required" json:"number"`
	MerchantId string `validate:"required" json:"merchantId"`
	OutTradeNo string `validate:"required" json:"outTradeNo"`
	ProductId  string `validate:"required" json:"productId"`
	TimeStamp  int64  `validate:"required" json:"timeStamp"`
	Mobile     string `validate:"required" json:"mobile"`
	NotifyUrl  string `validate:"required" json:"notifyUrl"`
	Version    string `validate:"required" json:"version"`
	Sign       string
}

type OrderResp struct {
	Code    any     `json:"code"`
	Message string  `json:"message"`
	CodeStr vo.Code // 充值接口返回的请求码，可能是整数类型、浮点数类型、字符串,统一处理成字符串
}
